diff --git a/cacert_hack.sh b/cacert_cp.sh
similarity index 84%
rename from cacert_hack.sh
rename to cacert_cp.sh
index 17b05a1eeefdc99674c0fb9c351ddc8ad0d6bbe2..2108e3810e7c414d1b965e9619b1bebd61c4e2be 100644
--- a/cacert_hack.sh
+++ b/cacert_cp.sh
@@ -18,4 +18,5 @@ CURPWD=$(pwd)
 cd "$(dirname "$0")"
 ROOTDIR=$(pwd)
 
-python -c 'import certifi; print certifi.where()' | xargs -I{} cp {} .
+echo "Copying certifi's cacert.pem"
+python -c "import certifi; import shutil; shutil.copy2(certifi.where(), 'agkyra/resources/cacert.pem')"
diff --git a/configure.sh b/configure.sh
index 2d51cd2dd8e5725cd3535ca860a3f4fa475523c7..c3832636cb596211e42475717ef0640eedba8326 100755
--- a/configure.sh
+++ b/configure.sh
@@ -22,4 +22,10 @@ ROOTPATH=$(pwd)
 if [ $? -ne 0 ]; then
     exit 1
 fi
+
+./cacert_cp.sh
+if [ $? -ne 0 ]; then
+    exit 1
+fi
+
 echo "Now run 'python setup.py install'."